%define	name	librpcsecgss
%define	version	0.1
%define	release	1mdk

%define	major	1
%define libname	%mklibname rpcsecgss %{major}

Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Name:		%{libname}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/librpcsecgss-%{version}.tar.bz2
Patch0:		librpcsecgss-0.1-portable.diff.bz2
BuildRequires:	krb5-devel >= 1.3
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

%package	devel
Summary:	Static library and header files for the librpcsecgss library
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	librpcsecgss-devel rpcsecgss-devel

%description -n	%{libname}-devel
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

This package contains the static librpcsecgss library and its
header files.

%prep

%setup -q -n librpcsecgss-%{version}
%patch0 -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
touch depcomp
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7 --gnu --include-deps Makefile

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_includedir}/rpc

%makeinstall_std

install -m0644 include/rpc/*.h %{buildroot}%{_includedir}/rpc/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/rpc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package
